Subject: bug#35507: Gnus mojibakifies UTF-8 text/x-patch attachments from Thunderbird

From: Noam Postavsky <[email-masked]>
Date: Thu, 02 May 2019 08:01:38 -0400

Andy Moreton <[email-masked]> writes:

> On Wed 01 May 2019, Noam Postavsky wrote:
>>
>> As far as I can tell, the mm-* version is useful for handling stuff lke
>> "UTF-8" as the charset argument (which might be useful if we extract it
>> from the "Content-Type: text/plain; charset=UTF-8" header).  If passing
>> 'utf-8, then it's just the same as calling decode-coding-string.
>
> OK, in that case we could indeed just call decode-coding-string.
>
>> For a default if we don't find a charset header, I guess `undecided'
>> would make more sense, right?  After all, Emacs already has the coding
>> detection machinery, may as well use it.
>
> Please re-read the original bug report: the problem is with malformed
> messages that do not contain a charset field in the Content-Type header.

I understood from Paul's followup in https://debbugs.gnu.org/35507#32
that the report is mainly about the case where there is a Content-Type
header with a charset field within the body of the attachment.